
.modal-wrapper{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
    max-width: unset;
    margin: 0;
    background: initial !important;

    [class~='rs-modal-dialog'] {
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    [class~='rs-modal-content'] {
        width: 80vw;
        background: #FFFFFF;
        padding: 0;
        border-radius: 16px;
    }
    [class~='rs-modal-body'] {
        margin: 0;
        padding: 24px;
        display: flex;
        flex-direction: column;
        gap: 20px;
        overflow: visible !important;

        .title-header {
            font-weight: 600;
            font-size: 20px;
            line-height: 24px;
            color: #333;
        }
    
        .table-data {
            width: 100%;
            overflow: auto;
            height: max-content;
            position: relative;
            border-radius: 16px 16px 0 0;
            border-bottom: 1px solid #F7F8FC;
    
            table {
                width: 100%;
                table-layout: fixed;
    
                thead {
                    tr {
                        position: sticky;
                        top: 0;
                        z-index: 1;
                        background: #F9E5D7;
                        overflow: hidden;
                        border-radius: 16px 16px 0 0;
    
                        th {
                            color: #8B5252;
                            font-weight: 600;
                            font-size: 13px;
                            line-height: 20px;
                            padding: 10px;
                            text-align: left;

                            &.student-code {
                                width: 0;
                                opacity: 0;
                                padding-left: 20px;

                                &.classes {
                                    opacity: 1;
                                    width: 10%;
                                }
                            }

                            &.full-name {
                                width: 15%;
                            }

                            &.phone {
                                width: 10%;
                            }


                            &.email {
                                width: 15%;
                            }
    
                            &.birthday {
                                width: 10%;
                            }
    
                            &.gender {
                                width: 8%;
                            }
    
                        }
                    }
                }
    
                tbody {
                    tr {
                        overflow: auto;
    
                        &:nth-child(2n) {
                            background: #F7F8FC;
                        }
    
                        td {
                            padding: 10px;
                            font-weight: 400;
                            font-size: 13px;
                            line-height: 20px;
                            color: #202226;
                            text-align: left;
                            overflow: hidden;
                            white-space: nowrap;
                            text-overflow: ellipsis;

                            &.student-code {
                                width: 0;
                                opacity: 0;
                                padding-left: 20px;
                                overflow: hidden;
                                white-space: nowrap;
                                text-overflow: ellipsis;

                                &.classes {
                                    opacity: 1;
                                    width: 10%;
                                }
                            }

                            &.full-name,
                            &.phone,
                            &.email,
                            &.birthday,
                            &.gender, &.note {
                                width: 100%;
                                overflow: hidden;
                                white-space: nowrap;
                                text-overflow: ellipsis;

                                > * {
                                    display: block;
                                    white-space: break-spaces;
                                    word-break: break-word;
                                }
                            }

                        }
                    }
                }
            }
    
        }
        .footer{
            display: flex;
            flex-direction: row;
            align-items: center;
            .des-error {
                flex: 1;
                font-weight: 400;
                font-size: 14px;
                line-height: 24px;
                color: #eb5757;
            }
            .action-button {
                flex: 1;
                display: flex;
                flex-direction: row;
                gap: 16px;
                justify-content: flex-end;
                align-items: center;
        
                button {
                    height: 40px;
                    min-width: 130px;
                    border-radius: 10px;
                    font-weight: 400;
                    font-size: 14px;
                    cursor: pointer;
        
                    &.export-data {
                        svg {
                            margin: 0;
                        }
                    }
        
                    &.cancel {
                        border: 1px solid #EBEEF5;
                        color: #151624;
        
                        &:hover {
                            box-shadow: none;
                            background: #fff;
                        }
                    }
                }
            }
        }
    }
}